Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### int()

Examples

    float f = 65.0;
    int i = int(f);
    println(f + " : " + i);  // Prints "65.0 : 65"

    char c = 'E';
    i = int(c);
    println(c + " : " + i);  // Prints "E : 69"

Description | Converts a primitive datatype, string, or array to its integer representation.

Syntax

    int(value)

Parameters

value | float, char, byte, String, float[], char[], byte[], String[]

Usage | Web & Application
Related | int float()

Updated on February 09, 2008 04:38:52pm PST